require 'yaml'

module BBC
  module Cosmos
    module Tools
      module Config
        class Configuration

          def self.get(config_base)
            config_path = config_base.join('app.yaml')
            raise('Invalid application config path') unless File.exists? config_path
            YAML::load(File.open(config_path).read)
          end

        end
      end
    end
  end
end


